%global __strip %{_mingw32_strip}
%global __objdump %{_mingw32_objdump}
%define __debug_install_post %{?_mingw32_debug_install_post}

%define         majorminor      0.10
%define         gstreamer_version %{majorminor}.35

Name:    mingw-gstreamer-plugins-base
Version: %{gstreamer_version}
Release: 2%{?dist}
Summary: Cross compiled GStreamer media framework base plug-ins

Group:   Applications/Multimedia
License: LGPLv2+
URL:     http://gstreamer.freedesktop.org/
Source:  http://gstreamer.freedesktop.org/src/gst-plugins-base/gst-plugins-base-%{version}.tar.bz2

BuildArch:      noarch

BuildRequires:  mingw32-filesystem
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-binutils
BuildRequires:  mingw32-gettext
BuildRequires:  mingw32-gcc-c++
# We need glib-mkenums
BuildRequires:  glib2-devel

BuildRequires:  mingw32-gstreamer >= %{gstreamer_version}
BuildRequires:  mingw32-libogg >= 1.0
BuildRequires:  mingw32-libvorbis >= 1.0
#BuildRequires:  mingw32-libtheora >= 1.0
#BuildRequires:  mingw32-orc >= 0.4.11
BuildRequires:  mingw32-gtk2
BuildRequires:  mingw32-pango
#BuildRequires:  mingw32-libvisual

%description
GStreamer is a streaming media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plug-ins.

This package contains a set of well-maintained base plug-ins.


%package -n mingw32-gstreamer-plugins-base
Summary:        Cross compiled GStreamer media framework base plug-ins
Requires:       mingw32-gstreamer >= %{gstreamer_version}

%description  -n mingw32-gstreamer-plugins-base
GStreamer is a streaming media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plug-ins.

This package contains a set of well-maintained base plug-ins.

%{_mingw32_debug_package}

%prep
%setup -q -n gst-plugins-base-%{version}

%build
%{_mingw32_configure} \
--with-package-name='Fedora Mingw gstreamer-plugins-base package' \
--with-package-origin='http://download.fedora.redhat.com/fedora' \
--enable-experimental \
--disable-gtk-doc \
--disable-gnome_vfs \
--disable-x \
--disable-static

make %{?_smp_mflags}

%install
make DESTDIR=$RPM_BUILD_ROOT install

# Clean out files that should not be part of the rpm.
rm -f $RPM_BUILD_ROOT%{_mingw32_libdir}/gstreamer-%{majorminor}/*.la
rm -f $RPM_BUILD_ROOT%{_mingw32_libdir}/gstreamer-%{majorminor}/*.a
rm -f $RPM_BUILD_ROOT%{_mingw32_bindir}/gst-visualise*
rm -f $RPM_BUILD_ROOT%{_mingw32_mandir}/man1/gst-visualise*
rm -rf $RPM_BUILD_ROOT%{_mingw32_datadir}/gtk-doc

# Drop all .la files
find $RPM_BUILD_ROOT -name "*.la" -delete

%find_lang gst-plugins-base-0.10

%files -n mingw32-gstreamer-plugins-base -f gst-plugins-base-0.10.lang
%doc AUTHORS COPYING README REQUIREMENTS

# libraries
%{_mingw32_bindir}/gst-discoverer-0.10.exe
%{_mingw32_bindir}/libgstapp-%{majorminor}-0.dll
%{_mingw32_bindir}/libgstaudio-%{majorminor}-0.dll
%{_mingw32_bindir}/libgstcdda-%{majorminor}-0.dll
%{_mingw32_bindir}/libgstfft-%{majorminor}-0.dll
%{_mingw32_bindir}/libgstinterfaces-%{majorminor}-0.dll
%{_mingw32_bindir}/libgstnetbuffer-%{majorminor}-0.dll
%{_mingw32_bindir}/libgstpbutils-%{majorminor}-0.dll
%{_mingw32_bindir}/libgstriff-%{majorminor}-0.dll
%{_mingw32_bindir}/libgstrtp-%{majorminor}-0.dll
%{_mingw32_bindir}/libgstrtsp-%{majorminor}-0.dll
%{_mingw32_bindir}/libgstsdp-%{majorminor}-0.dll
%{_mingw32_bindir}/libgsttag-%{majorminor}-0.dll
%{_mingw32_bindir}/libgstvideo-%{majorminor}-0.dll

# base plugins without external dependencies
%dir %{_mingw32_libdir}/gstreamer-%{majorminor}
%{_mingw32_libdir}/gstreamer-%{majorminor}/libgstadder.dll
%{_mingw32_libdir}/gstreamer-%{majorminor}/libgstapp.dll
%{_mingw32_libdir}/gstreamer-%{majorminor}/libgstaudioconvert.dll
%{_mingw32_libdir}/gstreamer-%{majorminor}/libgstaudiorate.dll
%{_mingw32_libdir}/gstreamer-%{majorminor}/libgstaudioresample.dll
%{_mingw32_libdir}/gstreamer-%{majorminor}/libgstaudiotestsrc.dll
%{_mingw32_libdir}/gstreamer-%{majorminor}/libgstdecodebin.dll
%{_mingw32_libdir}/gstreamer-%{majorminor}/libgstdecodebin2.dll
%{_mingw32_libdir}/gstreamer-%{majorminor}/libgstencodebin.dll
%{_mingw32_libdir}/gstreamer-%{majorminor}/libgstffmpegcolorspace.dll
%{_mingw32_libdir}/gstreamer-%{majorminor}/libgstgdp.dll
%{_mingw32_libdir}/gstreamer-%{majorminor}/libgstgio.dll
%{_mingw32_libdir}/gstreamer-%{majorminor}/libgstplaybin.dll
%{_mingw32_libdir}/gstreamer-%{majorminor}/libgstsubparse.dll
%{_mingw32_libdir}/gstreamer-%{majorminor}/libgsttypefindfunctions.dll
%{_mingw32_libdir}/gstreamer-%{majorminor}/libgstvideorate.dll
%{_mingw32_libdir}/gstreamer-%{majorminor}/libgstvideoscale.dll
%{_mingw32_libdir}/gstreamer-%{majorminor}/libgstvideotestsrc.dll
%{_mingw32_libdir}/gstreamer-%{majorminor}/libgstvolume.dll

# base plugins with dependencies
%{_mingw32_libdir}/gstreamer-%{majorminor}/libgstogg.dll
%{_mingw32_libdir}/gstreamer-%{majorminor}/libgstpango.dll
%{_mingw32_libdir}/gstreamer-%{majorminor}/libgstvorbis.dll

# plugin helper library headers
%{_mingw32_includedir}/gstreamer-%{majorminor}

%{_mingw32_libdir}/libgstapp-%{majorminor}.dll.a
%{_mingw32_libdir}/libgstaudio-%{majorminor}.dll.a
%{_mingw32_libdir}/libgstcdda-%{majorminor}.dll.a
%{_mingw32_libdir}/libgstfft-%{majorminor}.dll.a
%{_mingw32_libdir}/libgstinterfaces-%{majorminor}.dll.a
%{_mingw32_libdir}/libgstnetbuffer-%{majorminor}.dll.a
%{_mingw32_libdir}/libgstpbutils-%{majorminor}.dll.a
%{_mingw32_libdir}/libgstriff-%{majorminor}.dll.a
%{_mingw32_libdir}/libgstrtp-%{majorminor}.dll.a
%{_mingw32_libdir}/libgstrtsp-%{majorminor}.dll.a
%{_mingw32_libdir}/libgstsdp-%{majorminor}.dll.a
%{_mingw32_libdir}/libgsttag-%{majorminor}.dll.a
%{_mingw32_libdir}/libgstvideo-%{majorminor}.dll.a

# pkg-config files
%{_mingw32_libdir}/pkgconfig/*.pc

%changelog
* Sun Feb 12 2012 - Paweł Forysiuk <tuxator@o2.pl> - 0.10.35-2
- Minor packaging cleanup

* Sun Feb 12 2012 - Paweł Forysiuk <tuxator@o2.pl> - 0.10.35-1
- Updated to 0.10.35
- Spec file updated to match Fedora guidelines

* Sat May 14 2011 - Marc-André Lureau <marcandre.lureau@redhat.com> - 0.10.33-1
- Updated to 0.10.33
- Updated to newer mingw instructions (with mingw64 support)

* Wed Dec 29 2010 - Marc-André Lureau <marcandre.lureau@redhat.com> - 0.10.31-1
- Build with mingw32
